Bug 205344 - [PATCH] devel/avrdude: Update to 6.2
Summary: [PATCH] devel/avrdude: Update to 6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-12-15 17:19 UTC by Randy Westlund
Modified: 2016-08-28 13:29 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback-


Attachments
update arvdude to 6.2 (1.21 KB, patch)
2015-12-15 17:19 UTC, Randy Westlund
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Randy Westlund 2015-12-15 17:19:28 UTC
Created attachment 164274 [details]
update arvdude to 6.2

Attached patch updates to 6.2, including the new libtool use and shared library installation.  Tested and working with real AVR hardware.

Note that installation overwrites /usr/local/etc/avrdude.conf and deinstallation removes it regardless of user modifications (i.e. no @sample macro).  The avrdude-6.2 man page still suggests that the file should be modified by users.

This is incorrect behavior, but as the maintainer has previously rejected a fix for this in bug 188263, I have not included a fix in this patch; the attached patch only updates the version.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-26 15:00:25 UTC
Maintainer timeout (9 months)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-26 15:01:21 UTC
Comment on attachment 164274 [details]
update arvdude to 6.2

Maintainer timeout, implicit approval
Comment 3 Thomas Zander freebsd_committer 2016-08-28 12:24:38 UTC
Maintainer timeout, see comment #1
Comment 4 commit-hook freebsd_committer 2016-08-28 12:27:06 UTC
A commit references this bug:

Author: riggs
Date: Sun Aug 28 12:26:23 UTC 2016
New revision: 421019
URL: https://svnweb.freebsd.org/changeset/ports/421019

Log:
  Update to upstream release 6.2

  PR:		205344
  Submitted by:	rwestlun@gmail.com
  Reviewed by:	riggs
  Approved by:	maintainer timeout

Changes:
  head/devel/avrdude/Makefile
  head/devel/avrdude/distinfo
  head/devel/avrdude/pkg-plist
Comment 5 Thomas Zander freebsd_committer 2016-08-28 13:29:58 UTC
Minor changes compared to the original patch:
- Re-do "make makesum" since TIMESTAMP was missing in distinfo and is now mandatory
- Use install-strip install target